extends Item
## Item which restores life when picked up.


func _collect(player: WorldPlayer) -> void:
	player.heal(amount)

	player.shot_setup.hud.peek_life_bar()
	player.shot_setup.hud.life_particles.emit_spatial(amount, global_position)
